Subject: Re: SHA-256 transition

From: Kyle Meyer <[email-masked]>
Date: Thu, 23 Jun 2022 20:29:27 -0400

Ævar Arnfjörð Bjarmason writes:

> E.g. I use magit with Emacs, and last I checked it would puke on
> SHA-256. But checking again it seems someone patched it in January of
> this year to e.g. change "{40}" in regexes to "{40,}", so in theory it
> should work now (but I didn't try actually using it in that mode).

Yeah, I gave it some testing as I made those adjustments [*], but "in
theory it should work" is about my level of confidence too.  If you're
experimenting with SHA-256 repos and find spots where Magit chokes,
opening issues on Magit's side would be very appreciated.

[*] https://github.com/magit/magit/pull/4585